Support for the Ruby 2.1 series ended on March 31 2017. See here for details.

In Files

  • rss/maker/image.rb

Class/Module Index [+]

Quicksearch

RSS::Maker::ImageItemModel::ImageItemBase

Attributes

about[RW]
height=[RW]
image_height[RW]
image_width[RW]
resource[RW]
width=[RW]

Public Instance Methods

have_required_values?() click to toggle source
 
               # File rss/maker/image.rb, line 36
def have_required_values?
  @about
end
            
to_feed(feed, current) click to toggle source
 
               # File rss/maker/image.rb, line 40
def to_feed(feed, current)
  if current.respond_to?(:image_item=) and have_required_values?
    item = current.class::ImageItem.new
    setup_values(item)
    setup_other_elements(item)
    current.image_item = item
  end
end